<html>
<head>
<title>Ogre::ScriptCompilerEvent Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ScriptCompilerEvent Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ScriptCompilerEvent" -->
<p>This struct is a base class for events which can be thrown by the compilers and caught by subscribers.  
 <a href="classOgre_1_1ScriptCompilerEvent.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ScriptCompilerEvent:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ScriptCompilerEvent__inherit__graph.gif" border="0" usemap="#Ogre_1_1ScriptCompilerEvent_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ScriptCompilerEvent_inherit__map" id="Ogre_1_1ScriptCompilerEvent_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1CreateCompositorScriptCompilerEvent.html" title="Ogre::CreateCompositorScriptCompilerEvent" alt="" coords="265,5,548,35"/><area shape="rect" id="node5" href="classOgre_1_1CreateGpuProgramScriptCompilerEvent.html" title="Ogre::CreateGpuProgramScriptCompilerEvent" alt="" coords="261,59,552,88"/><area shape="rect" id="node7" href="classOgre_1_1CreateGpuSharedParametersScriptCompilerEvent.html" title="Ogre::CreateGpuSharedParametersScriptCompilerEvent" alt="" coords="232,112,581,141"/><area shape="rect" id="node9" href="classOgre_1_1CreateHighLevelGpuProgramScriptCompilerEvent.html" title="Ogre::CreateHighLevelGpuProgramScriptCompilerEvent" alt="" coords="233,165,580,195"/><area shape="rect" id="node11" href="classOgre_1_1CreateMaterialScriptCompilerEvent.html" title="Ogre::CreateMaterialScriptCompilerEvent" alt="" coords="276,219,537,248"/><area shape="rect" id="node13" href="classOgre_1_1CreateParticleSystemScriptCompilerEvent.html" title="Ogre::CreateParticleSystemScriptCompilerEvent" alt="" coords="253,272,560,301"/><area shape="rect" id="node15" href="classOgre_1_1PreApplyTextureAliasesScriptCompilerEvent.html" title="Ogre::PreApplyTextureAliasesScriptCompilerEvent" alt="" coords="248,325,565,355"/><area shape="rect" id="node17" href="classOgre_1_1ProcessNameExclusionScriptCompilerEvent.html" title="Ogre::ProcessNameExclusionScriptCompilerEvent" alt="" coords="248,379,565,408"/><area shape="rect" id="node19" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html" title="Ogre::ProcessResourceNameScriptCompilerEvent" alt="" coords="248,432,565,461"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ScriptCompilerEvent-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#aedc75132ff28b27e81e05f1e4017afd2">ScriptCompilerEvent</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;type)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#a45c0bcc44022bf4d20011fd4f19464e6">~ScriptCompilerEvent</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#ae83d6b4f8c27207b09f2bae4e7c51ce6">mType</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#aeee05cd2ad6e3404d847be042f00ee46">ScriptCompilerEvent</a> (const <a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a> &amp;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#a3a39921adddde14dbf352b4221938d08">operator=</a> (const <a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a> &amp;)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This struct is a base class for events which can be thrown by the compilers and caught by subscribers. </p>
<p>There are a set number of standard events which are used by <a class="el" href="namespaceOgre.html">Ogre</a>'s core. New event types may be derived for more custom compiler processing. </p>

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00328">328</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aedc75132ff28b27e81e05f1e4017afd2"></a><!-- doxytag: member="Ogre::ScriptCompilerEvent::ScriptCompilerEvent" ref="aedc75132ff28b27e81e05f1e4017afd2" args="(const String &amp;type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#aedc75132ff28b27e81e05f1e4017afd2">Ogre::ScriptCompilerEvent::ScriptCompilerEvent</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00333">333</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a45c0bcc44022bf4d20011fd4f19464e6"></a><!-- doxytag: member="Ogre::ScriptCompilerEvent::~ScriptCompilerEvent" ref="a45c0bcc44022bf4d20011fd4f19464e6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ScriptCompilerEvent.html#a45c0bcc44022bf4d20011fd4f19464e6">Ogre::ScriptCompilerEvent::~ScriptCompilerEvent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00334">334</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeee05cd2ad6e3404d847be042f00ee46"></a><!-- doxytag: member="Ogre::ScriptCompilerEvent::ScriptCompilerEvent" ref="aeee05cd2ad6e3404d847be042f00ee46" args="(const ScriptCompilerEvent &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#aedc75132ff28b27e81e05f1e4017afd2">Ogre::ScriptCompilerEvent::ScriptCompilerEvent</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3a39921adddde14dbf352b4221938d08"></a><!-- doxytag: member="Ogre::ScriptCompilerEvent::operator=" ref="a3a39921adddde14dbf352b4221938d08" args="(const ScriptCompilerEvent &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a>&amp; Ogre::ScriptCompilerEvent::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae83d6b4f8c27207b09f2bae4e7c51ce6"></a><!-- doxytag: member="Ogre::ScriptCompilerEvent::mType" ref="ae83d6b4f8c27207b09f2bae4e7c51ce6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ScriptCompilerEvent.html#ae83d6b4f8c27207b09f2bae4e7c51ce6">Ogre::ScriptCompilerEvent::mType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00331">331</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
